- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgUtx::TestSuite Class Reference

A TestSuite is the composite component of the Composite pattern, and allows aggregation of Tests into hierarchies. More...

Inheritance diagram for osgUtx::TestSuite:

[legend]
List of all members.

## Public Member Functions
| TestSuite (const std::string &name)
void | add (Test *pTest)
| Adds a Test to the suite.
Test * | findChild (const std::string &name)
virtual bool | accept (Test::Visitor &v)
## Protected Types
typedef std::vector< osg::ref_ptr< Test > > | Tests
## Protected Member Functions
virtual | ~TestSuite ()
## Protected Attributes
Tests | _tests

## Detailed Description

A TestSuite is the composite component of the Composite pattern, and allows aggregation of Tests into hierarchies.

## Member Typedef Documentation

typedef std::vector< osg::ref_ptr<Test> > osgUtx::TestSuite::Tests`[protected]`

## Constructor & Destructor Documentation

osgUtx::TestSuite::TestSuite | ( | const std::string & | name | ) |

virtual osgUtx::TestSuite::~TestSuite | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

bool osgUtx::TestSuite::accept | ( | Test::Visitor & | v | ) | `[virtual]`

| Implements osgUtx::Test.

void osgUtx::TestSuite::add | ( | Test * | pTest | ) |

| Adds a Test to the suite.

Test * osgUtx::TestSuite::findChild | ( | const std::string & | name | ) |

| Returns: The immediate child denoted by name, or 0 if not found.

## Member Data Documentation

Tests osgUtx::TestSuite::_tests`[protected]`

The documentation for this class was generated from the following files:

- UnitTestFramework
- UnitTestFramework.cpp